org.wildfly.swarm.config.management.access

## Class SensitivityClassificationConstraint<T extends SensitivityClassificationConstraint<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.access.SensitivityClassificationConstraint<T>

-     public class SensitivityClassificationConstraint<T extends SensitivityClassificationConstraint<T>>
      extends Object

  The sensitivity classification constraints.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SensitivityClassificationConstraint.SensitivityClassificationConstraintResources` Child mutators for SensitivityClassificationConstraint

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SensitivityClassificationConstraint()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `SensitivityClassificationConstraint.SensitivityClassificationConstraintResources` | `subresources()`
    `T` | `type(String childKey)` Create and configure a Type object to the list of subresources
    `T` | `type(String childKey, TypeConsumer consumer)` Create and configure a Type object to the list of subresources
    `T` | `type(Type value)` Add the Type object to the list of subresources
    `T` | `type(TypeSupplier supplier)` Install a supplied Type object to the list of subresources
    `T` | `types(List<Type> value)` Add all Type objects to this subresource

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SensitivityClassificationConstraint

          public SensitivityClassificationConstraint()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public SensitivityClassificationConstraint.SensitivityClassificationConstraintResources subresources()

    - #### types

          public T types(List<Type> value)

      Add all Type objects to this subresource
      Parameters:
        `value` - List of Type objects.
      Returns:
        this

    - #### type

          public T type(Type value)

      Add the Type object to the list of subresources
      Parameters:
        `value` - The Type to add
      Returns:
        this

    - #### type

          public T type(String childKey,
                        TypeConsumer consumer)

      Create and configure a Type object to the list of subresources
      Parameters:
        `key` - The key for the Type resource
        `config` - The TypeConsumer to use
      Returns:
        this

    - #### type

          public T type(String childKey)

      Create and configure a Type object to the list of subresources
      Parameters:
        `key` - The key for the Type resource
      Returns:
        this

    - #### type

          public T type(TypeSupplier supplier)

      Install a supplied Type object to the list of subresources

Copyright © 2017 JBoss by Red Hat. All rights reserved.